
#ifndef _GENERICSCALE_H
#define _GENERICSCALE_H

#include "GenericScript.h"


/*
 * Generic Scale
 *
 */
DECLARE_SCRIPT(cScrScale,cScrGeneric)
{
public:
	DECLARE_FACTORY(GenericScale,CustomScript);
	cScrScale()
		: cScrGeneric()
	{ }
	cScrScale(const char* pszName, int iHostObjId)
		: cScrGeneric(pszName, iHostObjId)
	{ }

private:

protected:
	// arguments are the same from ReceiveMessage
	virtual long OnTurnOn(sScrMsg*,sMultiParm*);
	virtual long OnTurnOff(sScrMsg*,sMultiParm*);
	virtual long OnControl(sScrMsg*,sMultiParm*);
	// called by the default handlers
	virtual long OnScale(float,sScrMsg*,sMultiParm*) { return 1; }

};

#endif // _GENERICSCALE_H
